Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::ServantAlreadyActive Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::ServantAlreadyActive:

[legend]
Collaboration diagram for PortableServer::POA::ServantAlreadyActive:

[legend]
List of all members.

## Public Methods
| ServantAlreadyActive (void)
| ServantAlreadyActive (const ServantAlreadyActive &)
| ~ServantAlreadyActive (void)
ServantAlreadyActive & | operator= (const ServantAlreadyActive &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
ServantAlreadyActive * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::ServantAlreadyActive::ServantAlreadyActive | ( | void |  | ) |

PortableServer::POA::ServantAlreadyActive::ServantAlreadyActive | ( | const ServantAlreadyActive & |  | ) |

PortableServer::POA::ServantAlreadyActive::~ServantAlreadyActive | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::ServantAlreadyActive::_alloc | ( | void |  | ) | `[static]`

PortableServer::POA::ServantAlreadyActive * PortableServer::POA::ServantAlreadyActive::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::ServantAlreadyActive::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::ServantAlreadyActive::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::ServantAlreadyActive::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableServer::POA::ServantAlreadyActive::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::ServantAlreadyActive::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableServer::POA::ServantAlreadyActive::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

ServantAlreadyActive& PortableServer::POA::ServantAlreadyActive::operator= | ( | const ServantAlreadyActive & |  | ) |

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp